module Speedflow
  module Commands
    # Help command
    class Help < Command
      class << self
        include Message

        # Init command with program.
        #
        # prog - the programm
        #
        # Returns nothing.
        def init_with_program(prog)
          prog.command(:help) do |c|
            c.syntax 'help [subcommand]'
            c.description 'Show the help message, optionally for a given ' \
                          'subcommand.'
            c.action do |args, _|
              cmd = (args.first || '').to_sym
              process(cmd, prog, args)
            end
          end
        end

        # Process command.
        #
        # cmd  - Command.
        # prog - Program.
        # args - Arguments.
        #
        # Returns nothing.
        def process(cmd, prog, args)
          if args.empty?
            puts prog
          elsif prog.has_command? cmd
            puts prog.commands[cmd]
          else
            invalid_command(cmd)
            abort
          end
        end
      end
    end
  end
end
