# Speedflow core
module Speedflow
  # TODO: Remove, use TTY::Prompt.
  require 'colorize'
  # Used to manage the output message
  module Message
    # Public: Message
    #
    # message - Message.
    #
    # Examples
    #
    #    message 'Hello'
    #    # => nil
    #
    # Returns nothing.
    def message(message)
      puts message.colorize(:white)
    end

    # Public: Notice
    #
    # message - Message.
    #
    # Examples
    #
    #    notice 'Hello'
    #    # => nil
    #
    # Returns nothing.
    def notice(message)
      puts message.colorize(:grey)
    end

    # Public: Info
    #
    # message - Message.
    #
    # Examples
    #
    #    info 'Hello'
    #    # => nil
    #
    # Returns nothing.
    def info(message)
      puts message.colorize(:light_blue)
    end

    # Public: Success
    #
    # message - Message.
    #
    # Examples
    #
    #    success 'Ok'
    #    # => nil
    #
    # Returns nothing.
    def success(message)
      puts message.prepend('➜ ').colorize(:light_green)
    end

    # Public: Error
    #
    # message - Message.
    #
    # Examples
    #
    #    error 'Error'
    #    # => nil
    #
    # Returns nothing.
    def error(message)
      puts message.prepend('✗ ').colorize(:light_red)
    end
  end
end
