module Speedflow
  module Plugin
    # Plugin abstraction
    class Abstract
      # @return [Speedflow::Plugin::Configuration] Plugin configuration.
      attr_reader :config

      # @return [Speedflow::Plugin::Prompt] Plugin prompt.
      attr_reader :prompt

      # Public: Constructor
      #
      # config - Speedflow::Plugin::Configuration object.
      # prompt - Speedflow::Plugin::Prompt object.
      #
      # Examples
      #
      #    Manager.new(
      #      <Speedflow::Plugin::Configuration.new({})>,
      #      <Speedflow::Plugin::Prompt.new>)
      #    # => <Speedflow::Plugin::Abstract>
      #
      # Returns nothing.
      def initialize(config, prompt)
        @config = config
        @prompt = prompt
      end
    end
  end
end
