require 'tty-prompt'

module Speedflow
  module Plugin
    # Plugin prompt
    class Prompt
      # @return [TTY::Prompt] TTY::Prompt.
      attr_writer :prompt

      # Public: Errors.
      #
      # exception - StandardError.
      #
      # Returns nothing.
      def errors(plugin_name, exception)
        prompt.error "#{plugin_name.downcase.capitalize} errors"
        prompt.warn exception.message
      end

      # Delegate.
      #
      # method - Method.
      # args   - Arguments.
      # block  - Block.
      #
      # Returns wathever.
      def method_missing(method, *args, &block)
        prompt.send(method, *args, &block)
      end

      # Public: TTY prompt.
      #
      # Returns ::TTY::Prompt instance.
      def prompt
        @prompt ||= ::TTY::Prompt.new
      end
    end
  end
end
